//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------


using System;

namespace CommunityServer.Components
{
	public class UserInvitation : ExtendedAttributes
	{
		public UserInvitation()
		{
		}

		Guid _invitationKey;
		public Guid InvitationKey
		{
			get { return _invitationKey; }
			set { _invitationKey = value; }
		}

		int _userID = -1;
		public int UserID
		{
			get { return _userID; }
			set { _userID = value; }
		}

		string _email;
		public string Email
		{
			get { return _email; }
			set { _email = value; }
		}

		DateTime _dateInvited = DateTime.Now;
		public DateTime DateInvited
		{
			get { return _dateInvited; }
			set { _dateInvited = value; }
		}

		public string Message
		{
			get { return GetExtendedAttribute("Message"); }
			set { SetExtendedAttribute("Message", value); }
		}
	}
}
